## xtend 1.1

=== Makefile ===
#
# Xtend is Copyright (C) 1998 David M. Shaw <dshaw@jabberwocky.com>
# 
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
# 
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
# 
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 
# $Id: Makefile,v 2.19 1998-04-06 01:38:13-04 dshaw Exp $

# Your C compiler

CC=gcc

# Flags to pass

FLAGS=-Wall -O3

# Where to install the program and the man page?

BINDIR=/usr/local/bin
MANDIR=/usr/local/man/man1

# Only uncomment ONE of the below sections!

# Linux
LOCKDIR=/var/lock
OWNER=root
GROUP=uucp
PERMS=2555

# BSD/OS
# LOCKDIR=/var/spool/uucp
# OWNER=root
# GROUP=uucp
# PERMS=2555

# Solaris
# LOCKDIR=/var/spool/locks
# OWNER=uucp
# GROUP=uucp
# PERMS=4555

# OpenBSD
# LOCKDIR=/var/spool/lock
# OWNER=uucp
# GROUP=uucp
# PERMS=4555

# Other
# LOCKDIR=/put/your/lock/dir/here
# OWNER=whatever
# GROUP=whatever
# PERMS=whatever

#############################################################
# You shouldn't need to change anything under here

VERSION=1.1
PREVIOUS=1
CFLAGS=$(FLAGS) -DDEFAULT_LOCKDIR=\"$(LOCKDIR)\"
DISTFILES=COPYING README INSTALL ANNOUNCE FAQ \
	*.h *.c Makefile sample-xtendrc *.1 \
	tools/xtend.pm tools/xtend.bash tools/status \
	tools/status2 tools/status.bash tools/parse-status \
	tools/README

PROGS=xtend

all: $(PROGS)
	@echo "Built $(PROGS) version $(VERSION)"
clean:
	rm -f *.o *.core core $(PROGS)

exec.o: exec.h x10.h util.h
util.o: util.h x10.h
xtend.o: util.h parse.h x10.h exec.h version.h
parse.o: parse.h x10.h
xtend:	xtend.o util.o parse.o exec.o
	$(CC) xtend.o util.o parse.o exec.o -o xtend

install: $(PROGS)
	-mv $(BINDIR)/xtend $(BINDIR)/xtend.old
	cp xtend $(BINDIR)
	chown $(OWNER).$(GROUP) $(BINDIR)/xtend
	chmod $(PERMS) $(BINDIR)/xtend
	cp xtend.1 $(MANDIR)
	chmod 444 $(MANDIR)/xtend.1

version.h: Makefile
	rm -f version.h
	echo '#define VERSION "$(VERSION)"' > version.h

diffs:  $(DISTFILES)
	rm -f diffs
	-rcsdiff -qcr$(PREVIOUS) $(DISTFILES) > diffs

dist:	xtend-$(VERSION).tar.gz LSM

MANIFEST: $(DISTFILES)
	rm -f MANIFEST
	for i in $(DISTFILES); \
	do echo xtend-$(VERSION)/$$i >> MANIFEST; done

xtend-$(VERSION).tar.gz: MANIFEST version.h
		rm -f xtend-$(VERSION).tar.gz
		(cd ..; tar -cvf - `cat xtend-$(VERSION)/MANIFEST` \
		 xtend-$(VERSION)/MANIFEST \
		 | gzip -9 > xtend-$(VERSION)/xtend-$(VERSION).tar.gz;)

LSM:	version.h xtend-$(VERSION).tar.gz
	rm -f LSM
	echo "Begin3" > LSM
	echo "Title: Xtend: The X10 to UNIX controller" >> LSM
	echo "Version: $(VERSION)" >> LSM
	echo "Entered-date: `date +%d%b%y | tr a-z A-Z`" >> LSM
	echo "Description: xtend is a daemon that is used in combination with a" >> LSM
	echo "	CM11a X10 interface that hooks to one of your serial ports." >> LSM
	echo "	It executes arbitrary shell commands depending on what X10" >> LSM
	echo "	commands it sees." >> LSM
	echo "Keywords: X10 home automation" >> LSM
	echo "Author: dshaw@jabberwocky.com (David Shaw)" >> LSM
	echo "Primary-site: ftp.jabberwocky.com /pub/xtend/" >> LSM
	echo "	`ls -s xtend-$(VERSION).tar.gz | sed 's/ *\([0-9]*\).*/\1/g'` kB xtend-$(VERSION).tar.gz" >> LSM
	echo "Copying-policy: GPL" >> LSM
	echo "End" >> LSM

## xtend 1.2b4-1.1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Xtend is Copyright (C) 1998 David M. Shaw <dshaw@jabberwocky.com>
# 
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
# 
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
# 
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 
# $Id: Makefile.in,v 1.1.2.2 1999/02/10 23:29:15 dshaw Exp $

SHELL=/bin/sh

# Stuff passed in from configure

CC=gcc
prefix=/usr
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
mandir=${prefix}/man
srcdir=.
FLAGS=-Wall -g -O2 -DHAVE_CONFIG_H
LDFLAGS=
INSTALL=/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_DATA=${INSTALL} -m 644

# Uncomment this line if you want to change the environment variable
# behavior slightly - with NO_APPL_ENV enabled, if an appliance is OFF,
# Xtend will not put it in the environment at all.  This is useful if you
# don't want to bother seeing lots of notifications that "unit so-and-so is
# an appliance" unless it's on.
# DEFINES=-DNO_APPL_ENV

#############################################################
# You shouldn't need to change anything under here

VERSION=1.2beta4
CFLAGS=$(FLAGS) $(DEFINES)
DISTFILES=COPYING README INSTALL ANNOUNCE FAQ ChangeLog \
	exec.h parse.h util.h x10.h \
	exec.c parse.c util.c xtend.c unsetenv.c strerror.c \
	Makefile.in Makefile.old config.h.in sample-xtendrc \
	*.1 configure.in configure tools/xtend.pm tools/xtend.bash \
	tools/status tools/status2 tools/status.bash \
	tools/parse-status tools/README install-sh

PROGS=xtend

all: $(PROGS)
	@echo "Built $(PROGS) version $(VERSION)"
clean:
	rm -f *.o *.core core $(PROGS)

exec.o: exec.h x10.h util.h config.h
util.o: util.h x10.h config.h
xtend.o: util.h parse.h x10.h exec.h version.h config.h
parse.o: parse.h x10.h config.h
unsetenv.o: config.h

.c.o:
	$(CC) -I. -I$(srcdir) $(CFLAGS) -c $< -o $@

uninstall:
	@rm -f $(DESTDIR)$(bindir)/xtend $(DESTDIR)$(mandir)/man1/xtend.1

install-strip:	install
	@strip $(DESTDIR)$(bindir)/xtend

distclean:	clean
	rm -f config.cache config.h config.status Makefile

xtend:	xtend.o util.o parse.o exec.o 
	$(CC) $(LDFLAGS) xtend.o util.o parse.o exec.o  -o xtend

install: $(PROGS)
	-mv $(bindir)/xtend $(bindir)/xtend.old
	${INSTALL_PROGRAM} -m 555   xtend $(DESTDIR)$(bindir)
	${INSTALL_DATA} xtend.1 $(DESTDIR)$(mandir)/man1

config.h.in: configure acconfig.h
	autoheader
	@touch config.h.in

configure: configure.in
	autoconf
	@touch configure.in

version.h: Makefile
	rm -f version.h
	echo '#define VERSION "$(VERSION)"' > version.h

dist:	xtend-$(VERSION).tar.gz LSM

MANIFEST: $(DISTFILES)
	rm -f MANIFEST
	for i in $(DISTFILES); \
	do echo xtend-$(VERSION)/$$i >> MANIFEST; done

xtend-$(VERSION).tar.gz: MANIFEST version.h config.h.in configure
		rm -f xtend-$(VERSION).tar.gz
		(cd ..; tar -cvf - `cat xtend-$(VERSION)/MANIFEST` \
		 xtend-$(VERSION)/MANIFEST \
		 | gzip -9 > xtend-$(VERSION)/xtend-$(VERSION).tar.gz;)

LSM:	version.h xtend-$(VERSION).tar.gz
	rm -f LSM
	echo "Begin3" > LSM
	echo "Title: Xtend: The X10 to UNIX controller" >> LSM
	echo "Version: $(VERSION)" >> LSM
	echo "Entered-date: `date +%d%b%y | tr a-z A-Z`" >> LSM
	echo "Description: xtend is a daemon that is used in combination with a" >> LSM
	echo "	CM11a X10 interface that hooks to one of your serial ports." >> LSM
	echo "	It executes arbitrary shell commands depending on what X10" >> LSM
	echo "	commands it sees." >> LSM
	echo "Keywords: X10 home automation" >> LSM
	echo "Author: dshaw@jabberwocky.com (David Shaw)" >> LSM
	echo "Primary-site: ftp.jabberwocky.com /pub/xtend/" >> LSM
	echo "	`ls -s xtend-$(VERSION).tar.gz | sed 's/ *\([0-9]*\).*/\1/g'` kB xtend-$(VERSION).tar.gz" >> LSM
	echo "Copying-policy: GPL" >> LSM
	echo "End" >> LSM

=== debian/changelog ===
xtend (1.2b4-1.1) unstable; urgency=low

  * Non-maintainer upload, with the maintainer's permission.
  * Raised Standards-Version: to 3.1.1 and added build dependencies
    (closes: #92550).
  * Recent debstd moves man pages to FHS locations (closes: #91101).
  * lintian errors: use absolute paths to conffiles.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Jun 2001 13:01:43 +0100

xtend (1.2b4-1) unstable; urgency=low

  * New Upstream Version

 -- Troy Hanson <troy@debian.org>  Fri, 30 Mar 2001 16:43:50 -0600

xtend (1.1-6) unstable; urgency=low

  * Fixed lintian errors

 -- Troy Hanson <troy@debian.org>  Mon, 11 Jan 1999 19:23:59 -0600

xtend (1.1-24) unstable; urgency=low

  * Changed section to electronics

 -- Troy Hanson <troy@debian.org>  Mon, 29 Jun 1998 15:04:04 -0500

xtend (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Troy Hanson <troy@debian.org>  Tue, 23 Jun 1998 23:26:12 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "troy@debian.org"
End:

=== debian/control ===
Source: xtend
Section: electronics 
Priority: optional
Maintainer: Troy Hanson <troy@debian.org>
Standards-Version: 3.1.1
Build-Depends: debmake

Package: xtend
Architecture: any
Depends: ${shlibs:Depends}, heyu
Description: xtend - X10 status monitoring daemon 
 xtend listens to the CM11A controller and will run commands 
 in response to the input.  This allows for motion sensors, water
 level detectors, alarm switches, and other X10 enabled devices to keep a
 log of house activity and status.  Scripts can be written to e-mail
 reports, or update web pages based on X10 Activity.
 This package does not have transmit capability, if you want to control
 X10 devices, you need to use the heyu package.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

package=xtend

build:
	$(checkdir)
	make 
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
	$(installdoc) tools/README debian/tmp/usr/lib/xtend
	$(installdoc) tools/xtend.bash debian/tmp/usr/lib/xtend
	$(installdoc) tools/xtend.pm debian/tmp/usr/lib/xtend
	$(installbin) tools/status debian/tmp/usr/lib/xtend
	$(installbin) tools/parse-status debian/tmp/usr/lib/xtend
	$(installbin) tools/status.bash debian/tmp/usr/lib/xtend
	$(installbin) tools/status2 debian/tmp/usr/lib/xtend
	$(installbin) debian/init.d debian/tmp/etc/init.d/xtend        
	$(installdoc) debian/xtend.conf debian/tmp/etc/
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
